Eclipse Remote Application Platform

## org.eclipse.rap.rwt.application
Interface EntryPoint

All Known Subinterfaces:
  IEntryPoint

All Known Implementing Classes:
  AbstractEntryPoint

    public interface EntryPoint

An entrypoint creates the main UI of a RAP application. It is registered with the framework and mapped to a URL path. The framework will create a separate instance of an entrypoint for every UI session.

It is recommended to extend `AbstractEntryPoint` rather than to implement this interface.

Since:
  2.0
See Also:
  `AbstractEntryPoint`

Method Summary
`int` `createUI()` This method is called to initialize the UI.

Method Detail

### createUI

    int createUI()

  This method is called to initialize the UI. Implementations will create a display, one or more shells, and add content. If and only if the application is supposed to run in SWT_COMPATIBILITY mode, this methods must run the SWT main loop if.

  Returns:
    exit status, reserved for future use

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0